function Mz = mgm_add(varargin)
% MGM_ADD Add up modulated Gaussian mixtures.
%    MGM_ADD(M1, M2, ...) combines the mixtures M1, M2, ..., into a single
%    mixture. The resultant components are returned as a mixture formatted
%    into a single column.
%
% Author: Robert Mill <rob.mill.uk@gmail.com>
% (C)2015 University of Sheffield
% Part of: (M)odulated (G)aussian (M)ixtures
%
% See also MGM_SCALE, MGM_NEGATE.


% Combine the arguments into a single column
Mz = cell2mat(cellfun(@(x) x(:), varargin(:), 'UniformOutput', false));

% end of file %
