function M = mgm_cos(A, w, phi)
% MGM_COS Construct an MGM cosine wave.
%    MGM_COS(A, W, PHI) returns an MGM corresponding to a cosine with
%    amplitude A, radial frequency W, and phase PHI radians.
%
% Author: Robert Mill <rob.mill.uk@gmail.com>
% (C)2015 University of Sheffield
% Part of: (M)odulated (G)aussian (M)ixtures
%
% See also MGM_SIN, MGM_HILBERT.


% Use defaults?
if nargin < 3 || isempty(phi), phi = 0; end

% Create a (real) cosine
M = mgm_create(1, A, Inf, 0, w, phi, 'real');

% end of file %
