function M = mgm_sin(A, w, phi)
% MGM_SIN Construct an MGM sine wave.
%    MGM_SIN(A, W, PHI) returns an MGM corresponding to a sine with
%    amplitude A, radial frequency W, and phase PHI radians.
%
% Author: Robert Mill <rob.mill.uk@gmail.com>
% (C)2015 University of Sheffield
% Part of: (M)odulated (G)aussian (M)ixtures
%
% See also MGM_COS, MGM_HILBERT.


% Use defaults?
if nargin < 3 || isempty(phi), phi = 0; end

% Create a (real) cosine
M = mgm_create(1, A, Inf, 0, w, phi - pi/2, 'real');

% end of file %
