function swopt = swdft_fringe(swopt)
% SWDFT_FRINGE Compute fringe on SWDFT.
%    SWDFT_FRINGE(SWDFT) takes a completed options structure SWDFT (e.g.,
%    one created using SWDFT_OPT) and returns a version with the .n_fringe
%    field altered so that it provides enough cells to accommodate one half
%    of the frequency smoothing window (see SWDFT_WINDOW).
%
% Author: Robert Mill <rob.mill.uk@gmail.com>
% (C)2015 University of Sheffield
% Part of: (S)liding (W)indow (D)iscrete (F)ourier (T)ransform
%
% See also SWDFT_RUN, SWDFT_WINDOW, SWDFT_OPT.


% Set the fringe of the SWDFT
swopt.n_fringe = int32((length(swopt.dc_f_win) - 1)/2);

% end of file %
