/* mx_ifrh.h */

/* MEX interface support for the IFRH.
 * Author: Robert Mill <rob.mill.uk@gmail.com>
 * (C)2015 University of Sheffield
 */

#ifndef MX_IFRH_H_INCLUDED
#define MX_IFRH_H_INCLUDED


/* INCLUDE HEADERS */

#include <mex.h>
#include "ifrh.h"


/* FUNCTION DEFINITIONS */

void IFRH_ImportMaps( const mxArray *mp_opt, IFRH_Options *sp_opt );

void IFRH_FreeImportedMaps( IFRH_Options *sp_opt );

int IFRH_ImportOptions( const mxArray *mp_opt, IFRH_Options *sp_opt );

int IFRH_ImportState( 
    const mxArray *mp_state, 
    const IFRH_Options *sp_opt,
    IFRH_State *sp_state );

mxArray * IFRH_ExportState(
    const IFRH_State *sp_state,
    const IFRH_Options *sp_opt );

#endif

/* end of file */
