/* mx_write.h */

/* Support for data conversions from C to Matlab.
 * Author: Robert Mill <rob.mill.uk@gmail.com>
 * (C)2015 University of Sheffield
 */

#ifndef MX_WRITE_H_INCLUDED
#define MX_WRITE_H_INCLUDED


/* INCLUDE HEADERS */

#include <mex.h>


/* FUNCTION PROTOTYPES */

int MXW_IsError( void );


void MXW_ClearError( void );


void MXW_SetError( const char *cp_msg );


char * MXW_GetError( void );


void MXW_PutInt32(
    mxArray *mp_struct,
    const char *cp_field,
    const int *np_data,
    int n_row,
    int n_col );


void MXW_PutDouble(
    mxArray *mp_struct,
    const char *cp_field,
    const double *dp_data,
    int n_row,
    int n_col );


void MXW_PutComplex(
    mxArray *mp_struct,
    const char *cp_field,
    const double *dp_data_re,
    const double *dp_data_im,
    int n_row,
    int n_col );

#endif

/* end of file */
