/* mx_zcpa.h */

/* MEX interface support for the ZCPA.
 * Author: Robert Mill <rob.mill.uk@gmail.com>
 * (C)2015 University of Sheffield
 */

#ifndef MX_ZCPA_H_INCLUDED
#define MX_ZCPA_H_INCLUDED


/* INCLUDE HEADERS */

#include <mex.h>
#include "zcpa.h"


/* FUNCTION DEFINITIONS */

void ZCPA_ImportMaps( const mxArray *mp_opt, ZCPA_Options *sp_opt );

void ZCPA_FreeImportedMaps( ZCPA_Options *sp_opt );

int ZCPA_ImportOptions( const mxArray *mp_opt, ZCPA_Options *sp_opt );

int ZCPA_ImportState( 
    const mxArray *mp_state, 
    const ZCPA_Options *sp_opt,
    ZCPA_State *sp_state );

mxArray * ZCPA_ExportState(
    const ZCPA_State *sp_state,
    const ZCPA_Options *sp_opt );

#endif

/* end of file */
